Subject: Re: B20: stdio bugs with 'merge' & 'gzip'
From: Earnie Boyd <[email-masked]>
To: Dmitry Karasik <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Thu, 2 Dec 1999 09:36:51 -0800 (PST)

--- Dmitry Karasik <[email-masked]> wrote:
> Hi Earnie!
> 
> > NOTE: The Cygwin director(y|ies) _NEEDS_ to be _FIRST_ in the PATH.
> 
> It not helps anyway;
> 

Maybe, not this particular problem but it will others.

> > > C:          /         user    textmode
> > This is strange.  Did you use the most current cygcheck version to produce
> your
> > report?  I don't see this in the registry output above.  You can find the
> most
> > recent version of cygcheck in the cyg-inst tarball.
> 
> Maybe that's because I don't use drive mapping in cygnus form, as \\drive_d\
> ...

What was strange was the list not just the entry.  It should have listed the
mounted directories.  This is due to the fact that you've a snapshot dll and
things have changed.  You'll need the cygcheck.exe from the cyg-inst tarball on
the snapshots page to list it correctly.

>  - but this is not essential to me. Cygcheck is from last b20 package.
> 
> > Do yourself a big favor, delete/rename the cygwinb19.dll.
> 
> How can I? Then my 'gzip' from b19 stop will fail!
> 

Why are you using gzip from b19?  Gzip is distributed with b20.1.  Why not use
that.  This would be the problem you had with tar.  YOU SIMPLY CAN'T MIX DLL'S.
 You should only have ONE in the path.

> Have you tried to run the script with 'merge'? That is most interesting.
> The registry and path entries could be of any value, I don't care.
> But simple 'merge' that uses STDOUT instead of file output? How THAT could
> be?
> Or, in other words - do you think you can reach that result just tuning
> registry badly?
> 

I've not had opportunity yet to try your script.  It'll have to wait till I get
home this PM EST.

> If I had 'merge' sources, I could ( maybe) manage it myself, but
> distribution ( user-src.tar.gz , 10M)
> contains no 'merge'. This is a plain bug, lets face it.
> 

Maybe, or possibly your environment.

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]